{
  inputs,
  config,
  pkgs,
  moduleRel,
  ...
}:
{
  imports =
    [
      ./hardware-configuration.nix
    ]
    ++ moduleRel [
      "sddm.nix"
      "plasma.nix"

      "bash.nix"
      "kitty.nix"
      "git.nix"
      "direnv.nix"
      "firefox.nix"
      "nvim"
    ];

  services.xserver.xkb.options = "eurosign:e,caps:escape";

  home-manager.users.kalle = {
    home.packages = with pkgs; [
      discord
      vesktop
      chromium
      httpie
      kdePackages.kate
      kdePackages.dolphin
      kdePackages.ark
      rustup
      gcc
      pavucontrol
      difftastic
      sops
      obsidian
    ];
  };

  # This value determines the NixOS release from which the default
  # settings for stateful data, like file locations and database versions
  # on your system were taken. It's perfectly fine and recommended to leave
  # this value at the release version of the first install of this system.
  # Before changing this value read the documentation for this option
  # (e.g. man configuration.nix or on https://nixos.org/nixos/options.html).
  system.stateVersion = "23.05"; # Did you read the comment?
  # This value determines the Home Manager release that your configuration is
  # compatible with. This helps avoid breakage when a new Home Manager release
  # introduces backwards incompatible changes.
  #
  # You should not change this value, even if you update Home Manager. If you do
  # want to update the value, then make sure to first check the Home Manager
  # release notes.
  home-manager.users.kalle.home.stateVersion = "23.05"; # Please read the comment before changing.
}
