{
  pkgs,
  ...
}:
{
  home-manager.users.kalle = {
    programs.bash = {
      enable = true;
      shellAliases = {
        # Replace some commands with better versions
        diff = "${pkgs.difftastic}/bin/difft";
      };
      initExtra = ''
        function open() {
            xdg-open $@ &> /dev/null &
        }

        # Fzf for command history
        if command -v fzf-share >/dev/null; then
          source "$(fzf-share)/key-bindings.bash"
          source "$(fzf-share)/completion.bash"
        fi
      '';
    };

    programs.starship = {
      enable = true;
      settings = {
        add_newline = true;

        # Remove text from nix shell component
        nix_shell.format = "via [$symbol]($style) ";

        git_status.disabled = true;
        package.disabled = true;
      };
    };

    home.packages = with pkgs; [
      fzf
    ];
  };
}
