{
  config,
  lib,
  ...
}:
{

  options.kdeglobals = lib.mkOption {
    type = lib.types.nullOr lib.types.attrs;
    default = null;
    description = ''
      Uses `lib.generators.toINI` to generate a kde configuration file that
      is symlinked to `kdeglobals` inside the XDG configuration home. Do NOT
      enable this module and set this when your system is running Plasma, this
      can cause issues including inability to boot the DE properly.

      Configuring this can be useful when running KDE applications or the
      Breeze theme outside of Plasma because some of their features rely on
      settings defined in this file (e.g. custom coloring in Breeze partially
      relies on values defined here, applications like Dolphin read the
      default terminal from this file).
    '';
  };

  config = {
    home-manager.users.kalle.xdg.configFile = {
      ${if config.kdeglobals != null then "kdeglobals" else null}.text =
        lib.generators.toINI { }
          config.kdeglobals;
    };
  };
}
