{
  lib,
  pkgs,
  ...
}:
{
  programs.steam = {
    enable = true;
    package = pkgs.steam.override {
      extraPkgs =
        pkgs: with pkgs; [
          xorg.libXcursor
          xorg.libXi
          xorg.libXinerama
          xorg.libXScrnSaver
          libpng
          libpulseaudio
          libvorbis
          stdenv.cc.cc.lib
          libkrb5
          keyutils
        ];
      extraLibraries =
        pkgs: with pkgs; [
          gperftools # Needed for tf2 to work
        ];
    };
  };

  environment.systemPackages = with pkgs; [
    gamescope
    pkgsi686Linux.gperftools # Needed for tf2
  ];
}
