import { App, Astal, Gdk, Gtk } from "astal/gtk3";
import Clock from "./Clock";
import Workspaces from "./Workspaces";

export default function LeftBar(gdkmonitor: Gdk.Monitor) {
    const { TOP, LEFT, RIGHT } = Astal.WindowAnchor;

    return <window
        className="LeftBar Bar"
        gdkmonitor={gdkmonitor}
        exclusivity={Astal.Exclusivity.EXCLUSIVE}
        anchor={TOP | LEFT | RIGHT}
        application={App}>
        <centerbox>
            <box halign={Gtk.Align.START}>
            </box>
            <box halign={Gtk.Align.CENTER}>
                <Workspaces monitor="HDMI-A-2" iconSide="right" />
            </box>
            <box halign={Gtk.Align.END}>
                <Clock iconSide="right" />
            </box>
        </centerbox>
    </window>
}
